# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Dec 12 14:19:36 2023
# ------------------------------------------------

package:
  name: leptonica
  version: 1.82.0
source:
  fn: leptonica-1.82.0.tar.gz
  sha256: 155302ee914668c27b6fe3ca9ff2da63b245f6d62f3061c8f27563774b8ae2d6
  url: https://github.com/DanBloomberg/leptonica/releases/download/1.82.0/leptonica-1.82.0.tar.gz
build:
  number: '2'
  run_exports:
    - leptonica >=1.82.0,<1.83.0a0
  string: h42c8aad_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.71 pl5340h5eee18b_0
    - automake 1.16.5 pl5340h06a4308_1
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gawk 5.1.0 h7b6447c_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdbm 1.18 hd4cb3f1_4
    - gettext 0.21.0 h39681ba_1
    - icu 73.1 h6a678d5_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h6a678d5_1009
    - libxml2 2.10.4 hf1b16e4_1
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - perl 5.34.0 h5eee18b_2
    - pkg-config 0.29.2 h1bed415_8
    - readline 8.2 h5eee18b_0
    - sed 4.8 h7b6447c_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - giflib 5.2.1 h5eee18b_3
    - jpeg 9e h5eee18b_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libpng 1.6.39 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.1.0 hecacb30_2
    - libwebp 1.3.2 h11a3e52_0
    - libwebp-base 1.3.2 h5eee18b_0
    - lz4-c 1.9.4 h6a678d5_0
    - openjpeg 2.3.0 h05c96fa_1
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.5 hc292b87_0
  run:
    - giflib >=5.2.1,<5.3.0a0
    - jpeg >=9e,<10a
    - libgcc-ng >=11.2.0
    - libpng >=1.6.39,<1.7.0a0
    - libtiff >=4.1.0,<5.0a0
    - libwebp
    - libwebp-base >=1.3.2,<2.0a0
    - openjpeg >=2.3.0,<3.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - convertfilestopdf --help 2>&1 | grep 'resolution' &> /dev/null
about:
  description: 'Leptonica is a pedagogically-oriented open source site containing

    software that is broadly useful for image processing and image

    analysis applications.

    '
  dev_url: https://github.com/DanBloomberg/leptonica
  doc_url: http://www.leptonica.org/
  home: https://github.com/DanBloomberg/leptonica
  license: BSD-2-Clause
  license_family: BSD
  license_file: leptonica-license.txt
  summary: Useful for image processing and image analysis applications
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 667f3e8f-348e-4df3-bcc0-d953704b8fc8
  recipe-maintainers:
    - CurtLH
    - izahn
  remote_url: git@github.com:AnacondaRecipes/leptonica-feedstock.git
  sha: 8fb3ca37166f9f57ff399e0899224c67329eb2d1
